Company logoTrust Center Documentation
API v1 ReferenceUpdatesOptions

Load update creation options

Load selectable options for the update editor, including classifications, classification templates, categories, documents, certifications, subprocessors,…

Load selectable options for the update editor, including classifications, classification templates, categories, documents, certifications, subprocessors, contacts, accounts, update templates, parent updates, tenant timezone, and subscription availability. Pass parent to load inherited defaults for a follow-up update.

GET
/api/v1/updates/options

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

parent?string

Published update ID used to load inherited defaults for a follow-up. Child update IDs resolve to their published root update.

Response Body

application/json

curl -X GET "https://app.orbiqhq.com/api/v1/updates/options"
{
  "tenant_timezone": "string",
  "subscription_enabled": true,
  "defaultEffectiveAt": "2026-06-15T09:00",
  "followUpDefaults": {
    "parent": "string",
    "classification": "string",
    "access_level": "public",
    "channels": [
      "trust_center"
    ],
    "effective_at": "string",
    "effective_timezone": "string",
    "document_ids": [
      "string"
    ],
    "subprocessor_ids": [
      "string"
    ],
    "account_ids": [
      "string"
    ],
    "contact_ids": [
      "string"
    ]
  },
  "categories": [
    {
      "id": "string",
      "title": "string"
    }
  ],
  "classifications": [
    {
      "id": "string",
      "title": "string",
      "color": "string",
      "translations": [
        {
          "languages_code": "de-DE",
          "title": "string"
        }
      ],
      "custom_fields": [
        {
          "title": "string",
          "translations": [
            {
              "languages_code": "de-DE",
              "title": "string"
            }
          ],
          "options": [
            {
              "value": "string",
              "label": [
                {
                  "languages_code": "string",
                  "translation": "string"
                }
              ]
            }
          ]
        }
      ]
    }
  ],
  "classificationTemplates": [
    {
      "id": "string",
      "title": "string",
      "color": "string",
      "translations": [
        {
          "languages_code": "de-DE",
          "title": "string"
        }
      ],
      "custom_fields": [
        {
          "title": "string",
          "translations": [
            {
              "languages_code": "de-DE",
              "title": "string"
            }
          ],
          "options": [
            {
              "value": "string",
              "label": [
                {
                  "languages_code": "string",
                  "translation": "string"
                }
              ]
            }
          ]
        }
      ]
    }
  ],
  "documents": [
    {
      "id": "string",
      "title": "string"
    }
  ],
  "certifications": [
    {
      "id": "string",
      "title": "string"
    }
  ],
  "subprocessors": [
    {
      "id": "string",
      "title": "string"
    }
  ],
  "contacts": [
    {
      "id": "string",
      "first_name": "string",
      "last_name": "string",
      "email": "user@example.com",
      "account": "string",
      "hasNda": true,
      "review_status": "string"
    }
  ],
  "accounts": [
    {
      "id": "string",
      "title": "string"
    }
  ],
  "templates": [
    {
      "id": "string",
      "title": "string",
      "summary": "string",
      "description_md": "string",
      "badge": "string",
      "tenant": "string",
      "category": "string"
    }
  ],
  "parents": [
    {
      "id": "string",
      "title": "string"
    }
  ]
}
Empty
Empty

How is this guide?